GCLOUD_COMPUTE_URL-MAPS_INVALIDATE-CDN-CACHE(1)

NAME

gcloud compute url-maps invalidate-cdn-cache - invalidate specified objects for a URL map in Cloud CDN caches

SYNOPSIS

gcloud compute url-maps invalidate-cdn-cache URLMAP --path=PATH [--async] [--host=HOST] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute url-maps invalidate-cdn-cache requests that Cloud CDN stop using cached content for resources at a particular URL path or set of URL paths. gcloud compute url-maps invalidate-cdn-cache may succeed even if no content is cached for some or all URLs with the given path.

POSITIONAL ARGUMENTS

    URLMAP
        The name of the URL map to operate on.

REQUIRED FLAGS

    --path=PATH
        A path specifying which objects to invalidate. PATH must start with ``/'' and the only place a ``*'' is allowed is at the end following a ``/''. It will be matched against URL paths, which do not include scheme, host, or any text after the first ``?'' or ``#'' (and those characters are not allowed here). For example, for the URL https://example.com/whatever/x.html?a=b, the path is /whatever/x.html. If PATH ends with ``*'', the preceding string is a prefix, and all URLs whose paths begin with it will be invalidated. If PATH doesn't end with ``*'', then only URLs with exactly that path will be invalidated. Examples:

        —   ``'', ``*'', anything that doesn't start with ``/'': error

        —   ``/'': just the root URL

        —   ``/*'': everything

        —   ``/x/y'': ``/x/y'' only (and not ``/x/y/'')

        —   ``/x/y/'': ``/x/y/'' only (and not ``/x/y'')

        —   ``/x/y/*'': ``/x/y/'' and everything under it

OPTIONAL FLAGS

    --async
        Do not wait for the operation to complete.

    --host=HOST
        If set, this invalidation will apply only to requests to the specified host.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.